{
  lib,
  fetchFromGitHub,
  rustPlatform,
  linux-pam,
  pkg-config,
}:
rustPlatform.buildRustPackage rec {
  pname = "lemurs";
  version = "0.3.1";

  src = fetchFromGitHub {
    owner = "coastalwhite";
    repo = pname;
    rev = "60fda2a";
    sha256 = "sha256-mQXavJULD5iyOnzj72xTV0EQ1HQvj25SHsbDgfRg4lQ=";
  };

  nativeBuildInputs = [pkg-config];
  buildInputs = [linux-pam];

  cargoSha256 = "sha256-OCaIeQB8reK0089vbC+4IvQt5pKdZ2SCyyGuQEYWzjo=";

  meta = with lib; {
    description = "A customizable TUI display/login manager written in Rust";
    homepage = "https://git.atagen.co/coastalwhite/lemurs";
    license = licenses.mit;
    maintainers = [];
  };
}
